Bug 411431 - Broken Display After Resume On Dell Inspiron 640m
Broken Display After Resume On Dell Inspiron 640m
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 21:53 EST by Devan Goodwin
Modified: 2009-01-09 02:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:30:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My current xorg.conf. (843 bytes, text/plain)
2007-12-04 21:53 EST, Devan Goodwin
no flags Details
/var/log/Xorg.0.log immediately after succesful workaround posted earlier. (55.49 KB, text/plain)
2007-12-05 21:07 EST, Devan Goodwin
no flags Details

  None (edit)
Description Devan Goodwin 2007-12-04 21:53:02 EST
After resuming from suspend the laptop display lights up, but still remains dark
or occasionally warped in strange ways. The issue can be worked around sometimes
but switching consoles with Ctrl + Alt + F1, then back with Alt + F7. This tends
to work for the first one or two suspends, after that the screen doesn't even
light up and I cannot get it back.

Have checked for quirks using the script at this page:
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html but with
no luck.

Suspend/resume worked on this hardware very well with Fedora Core 6 but has been
broken ever since. 

Smolt profile available here:
http://www.smolts.org/show?UUID=a9265d1e-d331-43f6-873c-c542a0283de0

Will attach Xorg configuration after creating the ticket.

I've attempted to fix with the following modules listed in
/etc/pm/config.d/unload_modules:

SUSPEND_MODULES="iwl3945 b44 firewire_core firewire_ohci"

But again with no luck.

Also tried:  'pm-suspend --quirk-vbe-post' but this seems to give me the
completely black and unlit display after resuming.

Will be happy to offer any additional info, this is everything I could think of
so far.
Comment 1 Devan Goodwin 2007-12-04 21:53:02 EST
Created attachment 277581 [details]
My current xorg.conf.
Comment 2 Matěj Cepl 2007-12-05 06:02:12 EST
Could we get /var/log/Xorg.0.log as well, please?

Thanks
Comment 3 Devan Goodwin 2007-12-05 21:07:13 EST
Created attachment 279011 [details]
/var/log/Xorg.0.log immediately after succesful workaround posted earlier.
Comment 4 Matěj Cepl 2007-12-06 09:30:40 EST
workaround? Sorry, I don't see any workaround mentioned in the above comments.
Comment 5 Devan Goodwin 2007-12-06 10:39:30 EST
When the display is lit up but blank after resume, Ctrl + Alt + F1 followed by
Alt + F7 gets me back to my X session.
Comment 6 Devan Goodwin 2007-12-06 10:40:20 EST
Also I should note that the text consoles F1 - F6 all never return after
suspending/resuming the first time. Switching to them just gives a blank screen.
Comment 10 Bug Zapper 2008-11-26 03:50:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:30:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.